org.apache.cassandra.db

## Interface DeletedCell

All Superinterfaces:
  Cell, OnDiskAtom

All Known Implementing Classes:
  BufferDeletedCell, NativeDeletedCell

    public interface DeletedCell
    extends Cell

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

`OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

### Field Summary

### Fields inherited from interface org.apache.cassandra.db.Cell

`MAX_NAME_LENGTH`

### Method Summary

All Methods Instance Methods Abstract Methods
`DeletedCell` `localCopy(CFMetaData metadata, AbstractAllocator allocator)`
`DeletedCell` `localCopy(CFMetaData metaData, MemtableAllocator allocator, OpOrder.Group opGroup)`

### Methods inherited from interface org.apache.cassandra.db.Cell

`cellDataSize, diff, getString, isLive, isLive, name, reconcile, serializationFlags, serializedSize, unsharedHeapSizeExcludingData, value, withUpdatedName, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

`getLocalDeletionTime, timestamp, updateDigest, validateFields`

### Method Detail

#### localCopy

    DeletedCell localCopy(CFMetaData metadata,
                          AbstractAllocator allocator)

Specified by:
  `localCopy` in interface `Cell`

#### localCopy

    DeletedCell localCopy(CFMetaData metaData,
                          MemtableAllocator allocator,
                          OpOrder.Group opGroup)

Specified by:
  `localCopy` in interface `Cell`